Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TestCase Class Reference

`#include <gtest.h>`

## Public Member Functions
| TestCase (const char *name, const char *a_type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
virtual | ~TestCase ()
const char * | name () const
const char * | type_param () const
bool | should_run () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | test_to_run_count () const
int | total_test_count () const
bool | Passed () const
bool | Failed () const
TimeInMillis | elapsed_time () const
const TestInfo * | GetTestInfo (int i) const
| TestCase (const char *name, const char *a_type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
virtual | ~TestCase ()
const char * | name () const
const char * | type_param () const
bool | should_run () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | test_to_run_count () const
int | total_test_count () const
bool | Passed () const
bool | Failed () const
TimeInMillis | elapsed_time () const
const TestInfo * | GetTestInfo (int i) const
| TestCase (const char *name, const char *a_type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
virtual | ~TestCase ()
const char * | name () const
const char * | type_param () const
bool | should_run () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | test_to_run_count () const
int | total_test_count () const
bool | Passed () const
bool | Failed () const
TimeInMillis | elapsed_time () const
const TestInfo * | GetTestInfo (int i) const

## Friends
class | Test
class | internal::UnitTestImpl

## Constructor & Destructor Documentation

TestCase | ( | const char * | name,
|  | const char * | a_type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

~TestCase | ( |  | ) |
| virtual

TestCase | ( | const char * | name,
|  | const char * | a_type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

virtual ~TestCase | ( |  | ) |
| virtual

TestCase | ( | const char * | name,
|  | const char * | a_type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

virtual ~TestCase | ( |  | ) |
| virtual

## Member Function Documentation

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const
| inline

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

const TestInfo* GetTestInfo | ( | int | i | ) | const

const TestInfo * GetTestInfo | ( | int | i | ) | const

const TestInfo* GetTestInfo | ( | int | i | ) | const

const char* name | ( |  | ) | const
| inline

const char* name | ( |  | ) | const
| inline

const char* name | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

const char* type_param | ( |  | ) | const
| inline

const char* type_param | ( |  | ) | const
| inline

const char* type_param | ( |  | ) | const
| inline

## Friends And Related Function Documentation

internal::UnitTestImpl
| friend

Test
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc